Bug 1001603 - Conflicts with and doesn't replace openstack-quantum subpackages
Conflicts with and doesn't replace openstack-quantum subpackages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openstack-neutron (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terry Wilson
Fedora Extras Quality Assurance
:
Depends On: 990725
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 07:34 EDT by Michael Schwendt
Modified: 2013-11-08 13:03 EST (History)
1 user (show)

See Also:
Fixed In Version: openstack-neutron-2013.2-0.5.b2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 13:03:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-27 07:34:37 EDT
=> openstack-neutron-2013.2-0.4.b2.fc20.src.rpm
=> openstack-neutron-ryu-2013.2-0.4.b2.fc20.noarch in fedora-development-i386
  File conflict with: openstack-quantum-ryu-2013.2-0.3.b1.fc20.noarch
     /usr/bin/quantum-ryu-agent


Plus, my Obsoletes checker reports:

  Only obsolete subpackage(s):
  ----------------------------
  openstack-quantum ['openstack-quantum'] 15 left

That means 15 subpackages from openstack-quantum are not obsoleted yet by their renamed subpackages: http://koji.fedoraproject.org/koji/buildinfo?buildID=457562


And openstack-quantum has not been retired yet either:
https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
Comment 1 Michael Schwendt 2013-08-27 07:34:59 EDT
=> openstack-neutron-2013.2-0.4.b2.fc20.src.rpm
=> openstack-neutron-nec-2013.2-0.4.b2.fc20.noarch in fedora-development-i386
  File conflict with: openstack-quantum-nec-2013.2-0.3.b1.fc20.noarch
     /usr/bin/quantum-nec-agent
Comment 2 Michael Schwendt 2013-08-27 08:20:58 EDT
=> openstack-neutron-2013.2-0.4.b2.fc20.src.rpm
=> python-neutron-2013.2-0.4.b2.fc20.noarch in fedora-development-i386
  File conflict with: python-quantum-2013.2-0.3.b1.fc20.noarch
     /usr/lib/python2.7/site-packages/quantum/__init__.py
     /usr/lib/python2.7/site-packages/quantum/__init__.pyc
     /usr/lib/python2.7/site-packages/quantum/__init__.pyo
     /usr/lib/python2.7/site-packages/quantum/api/__init__.py
     /usr/lib/python2.7/site-packages/quantum/api/__init__.pyc
     /usr/lib/python2.7/site-packages/quantum/api/__init__.pyo
     /usr/lib/python2.7/site-packages/quantum/auth.py
     /usr/lib/python2.7/site-packages/quantum/auth.pyc
     /usr/lib/python2.7/site-packages/quantum/auth.pyo
Comment 3 Michael Schwendt 2013-08-27 08:26:01 EDT
=> openstack-neutron-2013.2-0.4.b2.fc20.src.rpm
=> openstack-neutron-mellanox-2013.2-0.4.b2.fc20.noarch in fedora-development-i386
  File conflict with: openstack-quantum-mellanox-2013.2-0.3.b1.fc20.noarch
     /usr/bin/quantum-mlnx-agent
Comment 4 Michael Schwendt 2013-08-27 08:26:38 EDT
=> openstack-neutron-2013.2-0.4.b2.fc20.src.rpm
=> openstack-neutron-nicira-2013.2-0.4.b2.fc20.noarch in fedora-development-i386
  File conflict with: openstack-quantum-nicira-2013.2-0.3.b1.fc20.noarch
     /usr/bin/quantum-check-nvp-config
Comment 5 Terry Wilson 2013-08-28 10:59:18 EDT
This should be fixed in the latest 2013.2-0.5.b2 build.

Note You need to log in before you can comment on or make changes to this bug.